
Redmine - Defect #7258

Automatic spent time logging does not work properly with SQLite3

2011-01-10 10:37 - Go MAEDA

Status: Closed Start date: 2011-01-10

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 1.1.1   

Resolution: Fixed Affected version: 1.1.0

Description

Spent time entries which logged from commit messages cannot be seen on Spent time report when Redmine is running with

SQLite3.

sqlite> select id, spent_on from time_entries;

1|2011-01-10

2|2011-01-10 15:44:00

3|2011-01-10

 ID 1 and 2 were logged from Web. ID 2 was logged from svn commit message.

Because spent_on field on the ID 2 record has time part, the record cannot be seen on spent time report ("Overview" > "Details" |

"Overview" > "Report").

Related issues:

Related to Redmine - Defect #7423: Spent time reported via SVN not editable a... Closed 2011-01-24

Associated revisions

Revision 4708 - 2011-01-14 19:04 - Jean-Philippe Lang

Fixes TimeEntry#spent_on= so that datetimes don't get stored in SQLite3 (#7258).

History

#1 - 2011-01-10 18:54 - Jean-Philippe Lang

- Target version set to 1.1.1

#2 - 2011-01-30 07:01 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Merged in 1.1-stable.
